---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: hilltop-api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hilltop-api
  template:
    metadata:
      labels:
        app: hilltop-api
    spec:
      containers:
        - name: hilltop-api
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag }}"
          env:
            - name: JAVA_OPTS
              value: "-Dconfig.resource=application.prod.conf"
            - name: POSTGRES_USER
              valueFrom:
                configMapKeyRef:
                  name: common-env
                  key: POSTGRES_USER
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: init0-postgresql-ha-postgresql
                  key: postgresql-password
            - name: POSTGRES_HOST
              valueFrom:
                configMapKeyRef:
                  name: common-env
                  key: POSTGRES_HOST_RO
            - name: POSTGRES_PORT
              valueFrom:
                configMapKeyRef:
                  name: common-env
                  key: POSTGRES_PORT
            - name: POSTGRES_DB
              valueFrom:
                configMapKeyRef:
                  name: common-env
                  key: POSTGRES_DB
          ports:
            - name: api
              containerPort: 9000
          livenessProbe:
            httpGet:
              path: /healthchecks
              port: api
            initialDelaySeconds: 30
          readinessProbe:
            httpGet:
              path: /healthchecks
              port: api
            initialDelaySeconds: 10
